package com.rs.game.player.dialogues.impl;

import com.rs.game.player.dialogues.Dialogue;
import com.rs.utils.ShopsHandler;

public class SkillcapeSalesmen extends Dialogue {

	@Override
	public void start() {
		sendOptionsDialogue("Select a Shop", "Hoods", "Skillcapes", "Trimmed Skillcapes", "Master Skillcapes", "Nevermind.");
	}

	@Override
	public void run(int interfaceId, int componentId) {
		if (componentId == OPTION_1) {
			ShopsHandler.openShop(player, 900);
			 end();
		} else if (componentId == OPTION_2) {
			ShopsHandler.openShop(player, 901);
			 end();
		} else if (componentId == OPTION_3) {
			ShopsHandler.openShop(player, 902);
			 end();
		} else if (componentId == OPTION_4) {
			ShopsHandler.openShop(player, 903);
			 end();
		}else if (componentId == OPTION_5) {
		     end();
		}
	}

	@Override
	public void finish() {
	}
}
